
.main-header{
    background: var(--bs-white);
    position: sticky;
  top: 0;
  z-index: 1030;
  box-shadow: 0 0 100px 0 rgba(var(--bs-light-rgb),0.5);
}


.logo-container{
    min-height: 2rem;
    max-width: 50%;
    padding: 0.2rem 0;
}

.logo-container > a.main-logo{
    max-width: 60%;
    margin-right: 1rem;
    padding: 0.5rem 0;
}

.logo-container > a.main-logo > img{
    display: block;
    width: 100%;
}

.languages{
    padding: 0 1.2rem 0 0.4rem;
}


.languages > a{
    padding: 0.2rem 0.2rem;
    margin: 0 0.2rem;
    text-align: center;
    display: inline-block;
    background: none;
    color: var(--bs-primary);
    text-decoration: none;
    outline-width: 0;
    font-size: 1rem;
    font-weight: 600;
}

.languages > a:hover{
    color: var(--bs-secondary);
}

.languages > a.lang-active{
    border-bottom: 3px solid var(--bs-secondary);
}


.navbar{
    background: none;
    padding: 0;
}

.navbar-nav{
    text-align: right;
    padding: 1rem;
}


.navbar-light .navbar-nav .nav-link{
    font-size: 1.1rem;
    border-bottom: 4px solid transparent;
    white-space: nowrap;
    font-weight: 500;
}

.navbar-light .navbar-nav .nav-link i{
    font-size: 110%;
}

.navbar-light .navbar-nav .nav-link:hover{
}

.navbar-light .navbar-nav .nav-link.active-link{
    color: var(--bs-secondary);
}

.dropdown-menu {
    --bs-dropdown-border-color: #e6e2db;
}

.dropdown-item {
    color: var(--bs-primary);
}

.dropdown-item:hover, .dropdown-item:focus {
    color: var(--bs-secondary);
    background-color: var(--bs-light);
}


.navbar-toggler {
    border: none;
    border-radius: 0;
    min-height: 3.4rem;
}



.navbar-toggler:active,.navbar-toggler:focus{
    text-decoration: none;
    outline: none;
}

.navbar-toggler:focus,
.navbar-toggler:active,
.navbar-toggler-icon:focus {
    text-decoration: none;
    outline: none;
    box-shadow: none;
}

.icon-bar {
    width: 32px; 
    height: 4px;
    background-color: var(--bs-secondary);
    display: block;
    transition: all 0.2s;
    margin-top: 4px;
}

.navbar-toggler .top-bar {
    transform: rotate(45deg);
    transform-origin: 15% 15%;
}

.navbar-toggler .middle-bar {
    opacity: 0;
}

.navbar-toggler .bottom-bar {
    transform: rotate(-45deg);
    transform-origin: 10% 90%;
}

.navbar-toggler.collapsed .top-bar {
    transform: rotate(0deg);
}

.navbar-toggler.collapsed .middle-bar {
    opacity: 1;
    margin-left: 8px;
    width: 24px;
}

.navbar-toggler.collapsed .bottom-bar {
    transform: rotate(0deg);
    
}

.social-icons{
    text-align: left;
}


a.icon-link, a.fb-link{
    font-size: 1rem;
    display: inline-block;
    text-decoration: none;
    outline-width: 0;
    color: var(--bs-primary);
    font-weight: 500;
    padding: 0.25rem;
    white-space: nowrap;
    transition: all 0.3s ease-in-out;
    margin: 0.2rem;
}

a.icon-link:hover{
    color: var(--bs-secondary);
}

a.icon-link > i{
    font-size: 1.3rem;
    
    color: var(--bs-secondary);
    margin: 0 0.2rem 0.4rem 0;
}

a.icon-link > span{
    display: none;
}




@media (min-width: 576px){


    .navbar-toggler{
        padding: 1.2rem;
    }

    .logo-container{
        padding: 0.5rem 0;
    }
.logo-container > a.main-logo{
    width: 10rem;
}
    

}


@media (min-width: 768px){

}

@media (min-width: 992px){
    

    .main-header{
        padding: 1.5rem 0;
        transition: padding 0.5s ease;
    }

    .logo-container{
        transition: all 0.5s ease;
    }


    .logo-container > a.main-logo{
        width: 14rem;
        max-width: 14rem;
        margin-right: 2rem;
        transition: all 0.5s ease;
    }


    .main-header.nb-collapsed{
        padding: 0;
        border-bottom: 0.25rem solid var(--bs-light);
    }

    .main-header.nb-collapsed .logo-container > a.main-logo{
        max-width: 8rem;
    }

    .main-header.nb-collapsed .navbar-nav{
        padding: 0.5rem;
    }

    .social-phone-mail{
        border-left: 2px solid var(--bs-light);
        padding-left: 1rem;
    }

    .main-header.nb-collapsed .social-phone-mail{
        display: -ms-flexbox !important;
        display: flex !important;
        display: -ms-inline-flexbox !important;
        display: inline-flex !important;
    }

    a.icon-link{
        display: block;
        margin: 0.1rem 1rem 0.1rem 0;
        padding: 0.1rem;
    }

    a.icon-link > span{
        display: inline-block;
    }

    a.fb-link > img{
        width: 2rem;
        height: 2rem;
    }


    .main-header.nb-collapsed .ws-nav{
        padding: 0.5rem 0 0.3rem 0;
    }

     .navbar-light .navbar-nav .nav-link{
        margin-left: 0.5rem;
    }
    
}

@media (min-width: 1200px){

    .logo-container > a.main-logo{
        width: 14rem;
        max-width: 14rem;
    }

}

@media (min-width: 1440px){
    .navbar-light .navbar-nav .nav-link{
        margin-left: 1rem;
    }
}

